package nc.impl.fa.byzimpl;

import nc.bs.framework.common.NCLocator;
import nc.itf.fa.byzitf.IAssetInfoToByzService;
import nc.itf.fa.byzitf.ICardtoByzHanld;
import nc.vo.fa.assetcard.AggCardVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class CardtoByzHanldImpl implements ICardtoByzHanld {

	@Override
	public void sendCardToByz_RequiresNew(AggCardVO[] sendAgg) throws BusinessException {
		IAssetInfoToByzService byz = NCLocator.getInstance().lookup(IAssetInfoToByzService.class);
		try {
			byz.sendArc(sendAgg);
		} catch (Exception e) {
			ExceptionUtils.wrappBusinessException(e.getMessage());
		}
	}
}
